
Colony Scout - Task #1471

DFM Check on Breakfly

10/04/2010 03:11 AM - Dan Shope

Status: Fixed Start date: 10/04/2010

Priority: Normal Due date:  

Assignee: Rohan Aletty % Done: 0%

Category: Breakfly Estimated time: 0.00 hour

Target version: 1.0   

Description

creater gerber files for Breakfly and check on freedfm.com

History

#1 - 10/04/2010 02:46 PM - Dan Shope

- Assignee changed from Emily Hart to Rohan Aletty

#2 - 10/05/2010 12:32 AM - Dan Shope

The Sparkfun tutorial is a good start. Look at http://www.sparkfun.com/commerce/tutorial_info.php?tutorials_id=109 starting at "What's a gerber?" The

only problem with this is that the files their .cam generates don't match the usual file names. Nonetheless, you should get the same number of files

that represent the same things.

The important part is about running the CAM processor. The {2,4}layer.cam files in the scouthw repo are the same as the ones that come with Eagle,

so you can use either version. You will want the 2layer.cam for your board. The processor will generate 7 files that you will need for a DFM check:

.botsilkscreen.ger

.bottomlayer.ger

.bottommask.ger

.toplayer.ger

.topmask.ger

.topsilkscreen.ger

*.drill.xln

You can disregard all other files. If you zip these up, you can submit them to freedfm.com (https://www.freedfm.com/!freedfmstep1.asp). The

file-to-layer assignments should be self-explanatory. Under "General Information," most of the default selections are good enough. Make sure you

answer "Solder Mask Sides" and "Silkscreen Sides". Also, make sure you fill out "X dimension" and "Y dimension". For company, I have been putting

"Carnegie Mellon University". For phone, I've been using the Roboclub number 412-268-8237.

#3 - 10/10/2010 04:20 PM - Dan Shope

Submitted to freedfm.com. I accidently submitted the bottom silkscreen as well (which is blank) and had to select "two sided silkscreen". This is fixed

in the submission files for GoldPhoenix/BatchPCB.

#4 - 10/10/2010 04:21 PM - Dan Shope

03/13/2024 1/2

http://www.sparkfun.com/commerce/tutorial_info.php?tutorials_id=109
https://www.freedfm.com/!freedfmstep1.asp


Update: Passed DFM with flying colors!

https://www.freedfm.com/freedfm/0014266202718622/results/summary2.htm

#5 - 10/10/2010 04:21 PM - Dan Shope

- Status changed from Assigned to Fixed
